Page MenuHomeFreeBSD

Since a fatal trap can happen at aribtrary times, don't panic when the completions are not in a consistent state.
ClosedPublic

Authored by imp on May 30 2019, 9:32 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

imp created this revision.May 30 2019, 9:32 PM
jhb accepted this revision.May 31 2019, 12:11 AM
jhb added a subscriber: jhb.

Just a few spelling nits: s/aribtrary/arbitrary/ in log, s/panicing/panicking/ (yes, it looks weird to me too, but adding the 'k' appears to be correct for adding -ing or -ed), s/sceduler/scheduler/, s/leading/leaving/. I still do double spaces at start of sentences in monospace fonts as well FWIW (and style(9) probably wants a blank line before the block comment).

I think your change probably makes sense though. We do similar hacks for lock assertions for similar reasons IIRC.

This revision is now accepted and ready to land.May 31 2019, 12:11 AM
markj accepted this revision.May 31 2019, 5:06 AM
markj added inline comments.
sys/dev/nvme/nvme_qpair.c
526 ↗(On Diff #58096)

While here the \n can be removed from the kassert string.

imp added inline comments.May 31 2019, 3:12 PM
sys/dev/nvme/nvme_qpair.c
526 ↗(On Diff #58096)

gotcha

imp updated this revision to Diff 58113.May 31 2019, 3:27 PM

Try a little harder, add comments.

This revision now requires review to proceed.May 31 2019, 3:27 PM
imp updated this revision to Diff 58124.May 31 2019, 8:12 PM

Plug more holes with tips from kib, jhb and markj.

imp updated this revision to Diff 58131.May 31 2019, 9:05 PM

Remove now-obsolete comment.

imp marked an inline comment as done.May 31 2019, 9:06 PM
imp updated this revision to Diff 58132.May 31 2019, 9:10 PM

better comment.

This revision was not accepted when it landed; it landed in state Needs Review.Jun 1 2019, 3:37 PM
This revision was automatically updated to reflect the committed changes.